cURL
curl --request POST \
--url https://us.infisical.com/api/v1/identities/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orderBy": "name",
"orderDirection": "asc",
"limit": 50,
"offset": 0,
"search": {
"name": "<string>",
"role": "<string>",
"$or": [
{
"name": "<string>",
"role": "<string>"
}
]
}
}
'import requests
url = "https://us.infisical.com/api/v1/identities/search"
payload = {
"orderBy": "name",
"orderDirection": "asc",
"limit": 50,
"offset": 0,
"search": {
"name": "<string>",
"role": "<string>",
"$or": [
{
"name": "<string>",
"role": "<string>"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
orderBy: 'name',
orderDirection: 'asc',
limit: 50,
offset: 0,
search: {
name: '<string>',
role: '<string>',
$or: [{name: '<string>', role: '<string>'}]
}
})
};
fetch('https://us.infisical.com/api/v1/identities/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"identities": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"identityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"identity": {
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"authMethods": [
"<string>"
],
"activeLockoutAuthMethods": [
"<string>"
],
"hasDeleteProtection": false
},
"roleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastLoginAuthMethod": "<string>",
"lastLoginTime": "2023-11-07T05:31:56Z",
"customRole": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"permissions": "<unknown>",
"description": "<string>"
}
}
],
"totalCount": 123
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Legacy
Search
Search machine identities
POST
/
api
/
v1
/
identities
/
search
cURL
Authorizations
An access token in Infisical
Body
application/json
The column to order identities by.
Available options:
name, role The direction to order identities in.
Available options:
asc, desc The number of identities to return.
Required range:
x <= 100The offset to start from. If you enter 10, it will start from the 10th identity.
The filters to apply to the search.
Show child attributes
Show child attributes
Was this page helpful?
⌘I